Skip to main content
GET
List jobs

Authorizations

Authorization
string
header
required

Your instance API key as a bearer token: Authorization: Bearer <api_key>. /rest/1.0 also accepts ?auth_token=; /v0/store also accepts X-StremThru-Store-Authorization: Bearer <api_key>.

Query Parameters

limit
integer
default:50
Required range: x <= 200
before
string<date-time>

RFC3339 cursor for pagination (returns jobs older than this).

before_id
string

Tiebreaker job id used with before.

Response

200 - application/json

The user's jobs, newest first.

id
string
info_hash
string
name
string
magnet
string
source
enum<string>
Available options:
torrent,
usenet,
hoster,
ytdlp
status
enum<string>
Available options:
pending,
queued,
downloading,
processing,
publishing,
complete,
seeding,
failed,
evicted
seed
boolean
error
string
file_size
integer<int64>
progress
number
speed
integer<int64>
imdb_id
string
files
object[]
selected_indexes
integer[]
created_at
string<date-time>
updated_at
string<date-time>
stream_urls
object[]